package com.ffii.fpsms.modules.productProcess.entity

import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface ProductProcessLineRepository : JpaRepository<ProductProcessLine, Long> {
    fun findByProductProcess_Id(productProcessId: Long): List<ProductProcessLine>
    fun findByProductProcess_IdAndHandler_Id(productProcessId: Long, handlerId: Long): List<ProductProcessLine>
    fun findByHandler_IdAndStartTimeIsNotNullAndEndTimeIsNull(handlerId: Long): List<ProductProcessLine>
    fun findByProductProcess_IdIn(ids: List<Long>): List<ProductProcessLine>

}